# Uses of Class
org.eclipse.ui.console.MessageConsole

Packages that use MessageConsole
Package
Description
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of MessageConsole in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return MessageConsole
Modifier and Type
Method
Description
`MessageConsole`
MessageConsoleStream.`getConsole()`
Returns the console this stream is connected to.
Constructors in org.eclipse.ui.console with parameters of type MessageConsole
Modifier
Constructor
Description
``
`MessageConsoleStream(MessageConsole console)`
Constructs a new stream connected to the given console with workbench default encoding.
``
`MessageConsoleStream(MessageConsole console, Charset charset)`
Constructs a new stream connected to the given console.